package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.ZsyzShyj;
import com.ruoyi.system.mapper.projectV2.ZsyzShyjMapper;
import com.ruoyi.system.service.projectV2.IZsyzShyjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 招商引资_审核意见Service业务层处理
 * 
 * @author 博曼
 * @date 2023-02-22
 */
@Service
public class ZsyzShyjServiceImpl implements IZsyzShyjService
{
    @Autowired
    private ZsyzShyjMapper zsyzShyjMapper;

    /**
     * 查询招商引资_审核意见
     * 
     * @param id 招商引资_审核意见ID
     * @return 招商引资_审核意见
     */
    @Override
    public ZsyzShyj selectZsyzShyjById(Long id)
    {
        return zsyzShyjMapper.selectZsyzShyjById(id);
    }

    /**
     * 查询招商引资_审核意见列表
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 招商引资_审核意见
     */
    @Override
    public List<ZsyzShyj> selectZsyzShyjList(ZsyzShyj zsyzShyj)
    {
        return zsyzShyjMapper.selectZsyzShyjList(zsyzShyj);
    }

    /**
     * 新增招商引资_审核意见
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 结果
     */
    @Override
    public int insertZsyzShyj(ZsyzShyj zsyzShyj)
    {
        zsyzShyj.setCreateTime(DateUtils.getNowDate());
        return zsyzShyjMapper.insertZsyzShyj(zsyzShyj);
    }

    /**
     * 修改招商引资_审核意见
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 结果
     */
    @Override
    public int updateZsyzShyj(ZsyzShyj zsyzShyj)
    {
        zsyzShyj.setUpdateTime(DateUtils.getNowDate());
        return zsyzShyjMapper.updateZsyzShyj(zsyzShyj);
    }

    /**
     * 批量删除招商引资_审核意见
     * 
     * @param ids 需要删除的招商引资_审核意见ID
     * @return 结果
     */
    @Override
    public int deleteZsyzShyjByIds(Long[] ids)
    {
        return zsyzShyjMapper.deleteZsyzShyjByIds(ids);
    }

    /**
     * 删除招商引资_审核意见信息
     * 
     * @param id 招商引资_审核意见ID
     * @return 结果
     */
    @Override
    public int deleteZsyzShyjById(Long id)
    {
        return zsyzShyjMapper.deleteZsyzShyjById(id);
    }
}
